org.apache.maven.scm.provider.svn.repository

## Class SvnScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost
    - - org.apache.maven.scm.provider.svn.repository.SvnScmProviderRepository

    public class SvnScmProviderRepository
    extends ScmProviderRepositoryWithHost

Author:
  Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`SvnScmProviderRepository(String url)`
`SvnScmProviderRepository(String url, String user, String password)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getBranchBase()` Returns the url/directory to be used when tagging this repository.
`ScmProviderRepository` `getParent()` Get a `ScmProviderRepository` that represents the parent folder in the repository.
`String` `getProtocol()` Get the protocol used in this repository (file://, http://, https://,...)
`String` `getRelativePath(ScmProviderRepository ancestor)` Get the relative path between the repository provided as argument and the current repository.
`String` `getTagBase()` Returns the url/directory to be used when tagging this repository.
`String` `getUrl()`
`void` `setBranchBase(String branchBase)` Sets the url/directory to be used when branching this repository.
`void` `setTagBase(String tagBase)` Sets the url/directory to be used when tagging this repository.
`String` `toString()`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

`getHost, getPassphrase, getPort, getPrivateKey, setHost, setPassphrase, setPort, setPrivateKey`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getPassword, getUser, getWorkItem, isPersistCheckout, isPushChanges, setPassword, setPersistCheckout, setPushChanges, setUser, setWorkItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SvnScmProviderRepository

    public SvnScmProviderRepository(String url)

#### SvnScmProviderRepository

    public SvnScmProviderRepository(String url,
                                    String user,
                                    String password)

### Method Detail

#### getUrl

    public String getUrl()

#### getTagBase

    public String getTagBase()

Returns the url/directory to be used when tagging this repository.

#### setTagBase

    public void setTagBase(String tagBase)

Sets the url/directory to be used when tagging this repository. The TagBase is a way to override the default tag location for the repository. The default tag location is automatically determined for repositories in the standard subversion layout (with /tags /branches /trunk). Specify this value only if the repository is using a directory other than "/tags" for tagging.

Parameters:
  `tagBase` - an absolute or relative url to the base directory to create tags in. URL should be in a format that svn client understands, not the scm url format.

#### getBranchBase

    public String getBranchBase()

Returns the url/directory to be used when tagging this repository.

#### setBranchBase

    public void setBranchBase(String branchBase)

Sets the url/directory to be used when branching this repository. The BranchBase is a way to override the default branch location for the repository. The default branch location is automatically determined for repositories in the standard subversion layout (with /tags /branches /trunk). Specify this value only if the repository is using a directory other than "/branches" for branching.

Parameters:
  `branchBase` - an absolute or relative url to the base directory to create branch in. URL should be in a format that svn client understands, not the scm url format.

#### getProtocol

    public String getProtocol()

Get the protocol used in this repository (file://, http://, https://,...)

Returns:
  the protocol

#### getParent

    public ScmProviderRepository getParent()

Get a `ScmProviderRepository` that represents the parent folder in the repository. Useful when the repository does not exist yet and we need to create it from the parent.

Overrides:
  `getParent` in class `ScmProviderRepository`
Returns:
  the parent repository

#### getRelativePath

    public String getRelativePath(ScmProviderRepository ancestor)

Get the relative path between the repository provided as argument and the current repository.

Overrides:
  `getRelativePath` in class `ScmProviderRepository`
Parameters:
  `ancestor` - another repository that should be ancestor of this one
Returns:
  the relative path or `null` if it can't be resolved

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`